Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.feedhenry.sdk
Class FHResponse

    java.lang.Object
      com.feedhenry.sdk.FHResponse

    public class FHResponse

extends java.lang.Object

Representing the response data from FeedHenry when an API call is finished

Constructor Summary
`FHResponse(JSONObject pResults, JSONArray pResultArray, java.lang.Throwable e, java.lang.String pError)`

Method Summary
`JSONArray` | `getArray()` Get the response data as JSONArray
`java.lang.Throwable` | `getError()` Get the error
`java.lang.String` | `getErrorMessage()` Get the error message
`JSONObject` | `getJson()` Get the response data as JSONObject
`java.lang.String` | `getRawResponse()` Get the raw response content

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FHResponse

    public FHResponse(JSONObject pResults,
                      JSONArray pResultArray,
                      java.lang.Throwable e,
                      java.lang.String pError)

Method Detail

### getJson

    public JSONObject getJson()

  Get the response data as JSONObject

  Returns:
    a JSONObject

### getArray

    public JSONArray getArray()

  Get the response data as JSONArray

  Returns:
    a JSONArray

### getError

    public java.lang.Throwable getError()

  Get the error

  Returns:
    the error

### getErrorMessage

    public java.lang.String getErrorMessage()

  Get the error message

  Returns:
    the error message

### getRawResponse

    public java.lang.String getRawResponse()

  Get the raw response content

  Returns:
    the raw response content

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD